# TCLAP::CmdLineParseException Class Reference

Thrown from CmdLine when the arguments on the command line are not properly specified, e.g. More...

`#include <ArgException.h>`

Inheritance diagram for TCLAP::CmdLineParseException:

List of all members.

## Public Member Functions
| CmdLineParseException (const std::string &text="undefined exception", const std::string &id="undefined")
| Constructor.

## Detailed Description

Thrown from CmdLine when the arguments on the command line are not properly specified, e.g.

too many arguments, required argument missing, etc.

Definition at line 143 of file ArgException.h.

## Constructor & Destructor Documentation

TCLAP::CmdLineParseException::CmdLineParseException | ( | const std::string & | text = `"undefined exception"`,
|  | const std::string & | id = `"undefined"` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | text | - The text of the exception.
  | id | - The text identifying the argument source of the exception.

Definition at line 152 of file ArgException.h.

The documentation for this class was generated from the following file:

- ArgException.h